## Path to the MSI installer
$MSIURL = 'https://enscape-installer.chaosgroup.com/installer.enscape.io/Enscape-3.5.2%2B112393.msi'

## Run the installer
$INSTALLER = Download-File -URL $MSIURL
Write-Output "Installing Enscape from ""${INSTALLER}"""
Try { Start-Process "msiexec.exe" -ArgumentList "/i ${INSTALLER} /qn /norestart ACCEPTEULA=1 ALLUSERS=1" -Wait -ErrorAction Stop }
Catch { Write-Error $_.Exception.Message }

## Delete installer
Try {
    Write-Output "Deleting downloaded installation package"
    Remove-Item $INSTALLER -Force -ErrorAction SilentlyContinue
}
Catch { Write-Error $_.Exception.Message }
